API DocumentationManufacturer production schedule
Get a machine's history
GET
The latest builds recorded on a machine, running or completed, with the setup each loaded, and the latest changes to what the machine had loaded, by build or by hand. Newest first, at most 50 of each.
Phasio API Bearer Tokenheader
AuthorizationBearer <token>resourceId*stringFormat
uuidHistory successfully retrieved
application/json- response
resourceId*stringFormat
uuidbuilds*array<>setups*array<>curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/schedule/machines/497f6eca-6276-4993-bfeb-53cbbbba6f08/history'{ "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "builds": [ { "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d", "buildName": "string", "operationName": "string", "recordedAt": "2019-08-24T14:15:22Z", "completed": true, "completedAt": "2019-08-24T14:15:22Z", "setup": { "materialId": 0, "materialName": "string", "colorId": 0, "colorName": "string", "sheetThickness": 0 } } ], "setups": [ { "setAt": "2019-08-24T14:15:22Z", "source": "BUILD", "setup": { "materialId": 0, "materialName": "string", "colorId": 0, "colorName": "string", "sheetThickness": 0 }, "setBy": "string", "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d", "buildName": "string" } ]}